1 Reply Latest reply on Feb 19, 2014 5:18 PM by Mike M

    Flash Player thinks I have an old OS

    alfred350125

      I am using a Mac with OS 10.8.5 and Safari 6.1. Flash Player Installer will not work--it says "General Error" whenever I use it--so I tried the direct download, which didn't work either. I have uninstalled my old Flash Player and restarted the machine. When I use the Cocoa installer, the installer tells me I have OS 10.6, which is not the case. What do I do?